Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#59470 - [lighttpd] Please don't depend on 'systemd'

Attached to Project: Arch Linux
Opened by Luke Shumaker (lukeshu) - Saturday, 28 July 2018, 03:49 GMT
Last edited by Eli Schwartz (eschwartz) - Tuesday, 31 July 2018, 17:42 GMT
Task Type Bug Report
Category Packages: Extra
Status Assigned
Assigned To Pierre Schmitz (Pierre)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 2
Private No

Details

Description:

lighttpd depends=(systemd), for no reason other than that it includes a systemd .service file. That's usually not a reason to depend on systemd; if it were, many many more packages would have to depend on systemd; openssh, lvm2, dhcpcd, ...

This is change useful to Parabola, and for users of AUR openrc.

Additional info:
* package version(s): lighttpd 1.4.49-2
This task depends upon

Comment by Eli Schwartz (eschwartz) - Tuesday, 31 July 2018, 17:42 GMT
  • Field changed: Task Type (General Gripe → Bug Report)
  • Field changed: Status (Unconfirmed → Assigned)
  • Field changed: Severity (Very Low → Low)
  • Task assigned to Pierre Schmitz (Pierre)
This dependency was added in 1.4.32-4, with the message "systemd 189 compatibility" and a rework to the install script which executed systemd-tmpfiles. I'm guessing it was added for the same reason Pierre filed  FS#35468  but its time is long past; since 1.4.45-1 the install script was removed and replaced by systemwide pacman hooks, and the dependency should have been dropped at that point.

Loading...